LinHES - Support # 736: Advanced Format drives (4k sectors)

Status: Closed Priority: Normal

Author: TVBox Category: Installation/Upgrade

Created: 12/16/2010 Assignee: jams

Updated: 01/04/2012 Due date: 08/02/2011

Description: | would like to be able to use a advanced format drive as a primary drive when installing LinHES in the Auto

Install Mode. Right now in 6.3 even if the drive is partitioned correctly Auto Install will try to repartition and
hang the install program. A current install right now uses MSDos as a partition table file system. From the little]
| have read the preferred partition table file system for a advance format drive is GPT.

https://wiki.archlinux.org/index.php/Advanced_Format
http://knoppmyth.net/phpBB2/viewtopic.php?t=21242

| pulled this off of the Seagate site
all HDD manufacturers have agreed that all new desktop and notebook drives introduced after January 2011
will be 4K formatted drives

Associated revisions

08/02/2011 07:09 pm - mihanson
gptfdisk: initial inclusion. Ref #775 & Ref #736

08/02/2011 07:10 pm - mihanson
parted: Update to latest. Ref #775 & Ref #736

History

12/22/2010 02:22 am - graysky

| gotta agree after switching all my drives over to GPT. Several things to note:

*grub cannot boot from GPT so if implemented, LH needs to use grub2 or burg.
*fdisk/cfdisk cannot read/write GPT so LH needs to use gdisk or parted.

*Windows (even the "latest and greatest" Windows 7) cannot boot from a GPT formatted disk.

12/24/2010 01:22 am - TVBox
So far what | have found out is that unless you have Bios that has been authored in the last 12 months you will not be able to boot off a advanced

format drive.

12/24/2010 06:40 am - jams

- Assignee set to jams

12/31/2010 02:45 pm - brianwc

Addressing this issue might also resolve a problem I'm trying to debug where my (brand new) primary drive seems to need e2fsck run on it on nearly
every reboot, even after normal shutdowns of 6.3. Smartdisk reports no errors, but it is advanced format, so | wonder if LInHES formatted it correctly
during install (from a 6.3 install disk).

I'd also agree LinHES should move to GRUB2.

Finally, some sort of manual partitioning option during install would allow me to set up my system from the start as a RAID or with LVM or whatever
else. I'd like to be able to set up the drive(s) however | like and then tell the LinHES installer to continue the auto-install on the root drive | specify.

01/02/2011 02:10 pm - jams
- Category set to Installation/Upgrade
Sorta combining a bunch of requests into one ticket here.
With that said all of them will be looked at, but not for R7.

08/02/2011 07:13 pm - mihanson
- % Done changed from 0 to 90

- Status changed from New to Feedback

- Due date set to 08/02/2011

- Estimated time set to 0.50

01/04/2012 08:29 am - jams

- % Done changed from 90 to 100

- Status changed from Feedback to Closed
